.title {
  text-align: center;
  margin: 100px auto 22px;
  max-width: 720px;
  padding-top: 20px;

  @media (--medium) {
    margin: 50px auto 20px;
  }
}

.title__h {
  font-size: 35px;
  line-height: 45px;
  font-weight: normal;
  text-transform: uppercase;

  @media (--medium) {
    font-size: 15px;
    line-height: 20px;
  }
}

.title__icon {
  width: 54px;
  height: 54px;
  margin: 0 auto;
  position: relative;
  border-radius: 100%;
  border: 1px solid #faead3;

  & svg {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 41px;
    height: 29px;
    margin: -14.5px 0 0 -20.5px;
  }
}

.title__hr {
  height: 4px;
  margin: 11px auto 21px;
  position: relative;
  border-top: 1px solid #faead3;
  border-bottom: 1px solid #faead3;
  width: 0;
  opacity: 0;

  @nest .animated & {
    transition: width 1s ease 0s, opacity 1s ease 0s;
    will-change: width, opacity;
    width: 180px;
    opacity: 1;
  }

  @media (--medium) {
    margin: 5px auto 10px;
  }

  &::before,
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    width: 0;
    height: 0;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
  }

  &::before {
    left: -47px;
    border-right: 40px solid #faead3;
  }

  &::after {
    right: -47px;
    border-left: 40px solid #faead3;
  }

  & div:first-child {
    width: 103.3333333%;
    height: 4px;
    position: absolute;
    top: -1px;
    left: 50%;
    transform: translateX(-50%);
    border-left: 1px solid #faead3;
    border-right: 1px solid #faead3;
  }

  & div:last-child {
    width: 105.5555556%;
    height: 4px;
    position: absolute;
    top: -1px;
    left: 50%;
    transform: translateX(-50%);
    border-left: 1px solid #faead3;
    border-right: 1px solid #faead3;
  }
}
